// src/module/order/group/appearance.ts
var appearance = [
  "appearance",
  "visibility",
  "color-scheme",
  "forced-color-adjust",
  "accent-color",
  "perspective",
  "perspective-origin",
  "backface-visibility",
  "opacity",
  "object-fit",
  "object-position",
  "image-orientation",
  "background",
  "background-color",
  "background-image",
  "background-repeat",
  "background-repeat-x",
  "background-repeat-y",
  "background-attachment",
  "background-position",
  "background-position-x",
  "background-position-y",
  "background-clip",
  "background-origin",
  "background-size",
  "background-blend-mode",
  "clip",
  "clip-path",
  "filter",
  "backdrop-filter",
  "box-decoration-break",
  "border",
  "border-color",
  "border-style",
  "border-width",
  "border-top",
  "border-top-color",
  "border-top-style",
  "border-top-width",
  "border-right",
  "border-right-color",
  "border-right-style",
  "border-right-width",
  "border-bottom",
  "border-bottom-color",
  "border-bottom-style",
  "border-bottom-width",
  "border-left",
  "border-left-color",
  "border-left-style",
  "border-left-width",
  "border-block",
  "border-block-color",
  "border-block-start",
  "border-block-start-color",
  "border-block-start-style",
  "border-block-start-width",
  "border-block-end",
  "border-block-end-color",
  "border-block-end-style",
  "border-block-end-width",
  "border-inline",
  "border-inline-color",
  "border-inline-start",
  "border-inline-start-color",
  "border-inline-start-style",
  "border-inline-start-width",
  "border-inline-end",
  "border-inline-end-color",
  "border-inline-end-style",
  "border-inline-end-width",
  "border-radius",
  "border-start-start-radius",
  "border-start-end-radius",
  "border-end-start-radius",
  "border-end-end-radius",
  "border-top-left-radius",
  "border-top-right-radius",
  "border-bottom-right-radius",
  "border-bottom-left-radius",
  "border-top-left-radius",
  "border-top-right-radius",
  "border-bottom-right-radius",
  "border-bottom-left-radius",
  "border-image",
  "border-image-source",
  "border-image-slice",
  "border-image-width",
  "border-image-outset",
  "border-image-repeat",
  "outline",
  "outline-color",
  "outline-style",
  "outline-width",
  "outline-offset",
  "box-shadow",
  "mix-blend-mode",
  "caret-color",
  "box-decoration-break",
  "-webkit-box-decoration-break"
];

// src/module/order/group/box_model.ts
var boxModel = [
  "box-sizing",
  "aspect-ratio",
  "width",
  "inline-size",
  "min-width",
  "max-width",
  "min-inline-size",
  "max-inline-size",
  "height",
  "block-size",
  "min-height",
  "max-height",
  "min-block-size",
  "max-block-size",
  "margin",
  "margin-top",
  "margin-right",
  "margin-bottom",
  "margin-left",
  "margin-block",
  "margin-block-start",
  "margin-block-end",
  "margin-inline",
  "margin-inline-start",
  "margin-inline-end",
  "padding",
  "padding-top",
  "padding-right",
  "padding-bottom",
  "padding-left",
  "padding-block",
  "padding-block-start",
  "padding-block-end",
  "padding-inline",
  "padding-inline-start",
  "padding-inline-end"
];

// src/module/order/group/interaction.ts
var interaction = [
  "pointer-events",
  "touch-action",
  "will-change",
  "cursor",
  "caption-side",
  "content",
  "quotes",
  "counter-set",
  "counter-increment",
  "counter-reset",
  "resize",
  "user-select",
  "overflow-anchor",
  "nav-index",
  "nav-up",
  "nav-right",
  "nav-down",
  "nav-left",
  "scroll-behavior",
  "scrollbar-color",
  "scrollbar-width",
  "scrollbar-gutter",
  "scroll-margin",
  "scroll-margin-block",
  "scroll-margin-block-start",
  "scroll-margin-block-end",
  "scroll-margin-inline",
  "scroll-margin-inline-start",
  "scroll-margin-inline-end",
  "scroll-margin-top",
  "scroll-margin-right",
  "scroll-margin-bottom",
  "scroll-margin-left",
  "scroll-padding",
  "scroll-padding-block",
  "scroll-padding-block-start",
  "scroll-padding-block-end",
  "scroll-padding-inline",
  "scroll-padding-inline-start",
  "scroll-padding-inline-end",
  "scroll-padding-top",
  "scroll-padding-right",
  "scroll-padding-bottom",
  "scroll-padding-left",
  "scroll-snap-type",
  "scroll-snap-align",
  "scroll-snap-stop",
  "content-visibility",
  "contain-intrinsic-size",
  "contain-intrinsic-width",
  "contain-intrinsic-height",
  "contain-intrinsic-inline-size",
  "contain-intrinsic-block-size",
  "speak",
  "speak-as"
];

// src/module/order/group/layout.ts
var layout = [
  "container",
  "container-name",
  "container-type",
  "size",
  "direction",
  "unicode-bidi",
  "float",
  "clear",
  "contain",
  "overflow",
  "overflow-x",
  "overflow-y",
  "overflow-clip-margin",
  "overscroll-behavior",
  "overscroll-behavior-x",
  "overscroll-behavior-y",
  "overscroll-behavior-inline",
  "overscroll-behavior-block",
  "display",
  "table-layout",
  "border-spacing",
  "border-collapse",
  "empty-cells",
  "columns",
  "column-count",
  "column-width",
  "column-fill",
  "column-rule",
  "column-rule-color",
  "column-rule-style",
  "column-rule-width",
  "column-span",
  "widows",
  "orphans",
  "grid",
  "grid-area",
  "grid-auto-columns",
  "grid-auto-flow",
  "grid-auto-rows",
  "grid-column",
  "grid-column-end",
  "grid-column-gap",
  "grid-column-start",
  "grid-gap",
  "grid-row",
  "grid-row-end",
  "grid-row-gap",
  "grid-row-start",
  "grid-template",
  "grid-template-areas",
  "grid-template-columns",
  "grid-template-rows",
  "flex",
  "flex-flow",
  "flex-basis",
  "flex-direction",
  "flex-grow",
  "flex-shrink",
  "flex-wrap",
  "gap",
  "row-gap",
  "column-gap",
  "place-content",
  "place-items",
  "place-self",
  "align-content",
  "align-items",
  "align-self",
  "justify-content",
  "justify-items",
  "justify-self",
  "order",
  "break-inside",
  "break-before",
  "break-after",
  "shape-outside",
  "shape-image-threshold",
  "shape-margin"
];

// src/module/order/group/positioning.ts
var positioning = [
  "isolation",
  "position",
  "z-index",
  "top",
  "right",
  "bottom",
  "left",
  "inset",
  "inset-block",
  "inset-block-start",
  "inset-block-end",
  "inset-inline",
  "inset-inline-start",
  "inset-inline-end",
  "zoom",
  "transform-origin",
  "transform-box",
  "transform-style",
  "transform",
  "translate",
  "rotate",
  "scale",
  "offset-path",
  "offset-distance",
  "offset-rotate"
];

// src/module/order/group/svg.ts
var svg = [
  "alignment-baseline",
  "baseline-shift",
  "dominant-baseline",
  "text-anchor",
  "cx",
  "cy",
  "d",
  "r",
  "rx",
  "ry",
  "fill",
  "fill-opacity",
  "fill-rule",
  "flood-color",
  "flood-opacity",
  "stop-color",
  "stop-opacity",
  "stroke",
  "stroke-dasharray",
  "stroke-dashoffset",
  "stroke-linecap",
  "stroke-linejoin",
  "stroke-miterlimit",
  "stroke-opacity",
  "stroke-width",
  "vector-effect",
  "color-interpolation",
  "color-interpolation-filters",
  "color-profile",
  "color-rendering",
  "image-rendering",
  "lighting-color",
  "marker-start",
  "marker-mid",
  "marker-end",
  "mask",
  "mask-type",
  "shape-rendering",
  "clip-rule"
];

// src/module/order/group/transition.ts
var transition = [
  "transition",
  "transition-delay",
  "transition-timing-function",
  "transition-duration",
  "transition-property",
  "animation",
  "animation-name",
  "animation-duration",
  "animation-play-state",
  "animation-timing-function",
  "animation-fill-mode",
  "animation-delay",
  "animation-iteration-count",
  "animation-direction"
];

// src/module/order/group/typography.ts
var typography = [
  "writing-mode",
  "font",
  "font-family",
  "font-size",
  "font-feature-settings",
  "font-variation-settings",
  "font-optical-sizing",
  "font-weight",
  "font-style",
  "font-display",
  "font-kerning",
  "font-variant",
  "font-variant-ligatures",
  "font-variant-caps",
  "font-variant-alternates",
  "font-variant-numeric",
  "font-variant-east-asian",
  "font-variant-position",
  "font-size-adjust",
  "font-stretch",
  "font-effect",
  "font-emphasize",
  "font-emphasize-position",
  "font-emphasize-style",
  "-webkit-font-smoothing",
  "-moz-osx-font-smoothing",
  "font-smooth",
  "ruby-position",
  "line-height",
  "hyphens",
  "color",
  "text-align",
  "text-align-last",
  "text-emphasis",
  "text-emphasis-color",
  "text-emphasis-style",
  "text-emphasis-position",
  "text-decoration",
  "text-decoration-color",
  "text-decoration-line",
  "text-decoration-style",
  "text-decoration-thickness",
  "text-decoration-skip-ink",
  "text-underline-position",
  "text-underline-offset",
  "text-indent",
  "text-justify",
  "text-outline",
  "text-overflow",
  "text-overflow-ellipsis",
  "text-overflow-mode",
  "text-shadow",
  "text-transform",
  "text-wrap",
  "text-size-adjust",
  "text-combine-upright",
  "text-orientation",
  "text-rendering",
  "-webkit-text-fill-color",
  "-webkit-text-stroke-color",
  "letter-spacing",
  "word-break",
  "word-spacing",
  "word-wrap",
  "line-break",
  "overflow-wrap",
  "tab-size",
  "white-space",
  "vertical-align",
  "paint-order",
  "hanging-punctuation",
  "list-style",
  "list-style-position",
  "list-style-type",
  "list-style-image",
  "src",
  "unicode-range",
  "ascent-override",
  "descent-override",
  "line-gap-override"
];

// src/module/order/order.ts
var propertyGroups = [
  ["composes"],
  ["all"],
  interaction,
  positioning,
  layout,
  boxModel,
  typography,
  appearance,
  svg,
  transition
];
var propertiesOrder = propertyGroups.map((properties) => ({
  emptyLineBefore: "never",
  noEmptyLineBetween: true,
  properties
}));
var order = {
  plugins: ["stylelint-order"],
  rules: {
    "order/order": [
      [
        {
          name: "import",
          type: "at-rule"
        },
        {
          name: "forward",
          type: "at-rule"
        },
        {
          name: "use",
          type: "at-rule"
        },
        "dollar-variables",
        "at-variables",
        "custom-properties",
        {
          name: "custom-media",
          type: "at-rule"
        },
        {
          name: "function",
          type: "at-rule"
        },
        "declarations",
        {
          hasBlock: true,
          selector: /^&::[\w-]+/u,
          type: "rule"
        },
        "rules",
        {
          hasBlock: true,
          name: "media",
          type: "at-rule"
        },
        {
          name: "mixin",
          type: "at-rule"
        },
        {
          name: "extend",
          type: "at-rule"
        },
        {
          name: "include",
          type: "at-rule"
        }
      ],
      {
        severity: "warning"
      }
    ],
    "order/properties-order": [
      propertiesOrder,
      {
        emptyLineBeforeUnspecified: "always",
        emptyLineMinimumPropertyThreshold: 5,
        severity: "warning",
        unspecified: "bottomAlphabetical"
      }
    ]
  }
};

// src/module/stylelint/rule/disabled_rule.ts
var disabledRule = {
  "at-rule-allowed-list": null,
  "at-rule-property-required-list": null,
  "color-no-hex": null,
  "comment-pattern": null,
  "comment-word-disallowed-list": null,
  "custom-media-pattern": null,
  "custom-property-pattern": null,
  "declaration-no-important": null,
  "declaration-property-max-values": null,
  "declaration-property-unit-allowed-list": null,
  "declaration-property-unit-disallowed-list": null,
  "declaration-property-value-allowed-list": null,
  "declaration-property-value-disallowed-list": null,
  "declaration-property-value-no-unknown": null,
  "font-family-no-missing-generic-family-keyword": null,
  "function-allowed-list": null,
  "function-disallowed-list": null,
  "function-url-scheme-allowed-list": null,
  "function-url-scheme-disallowed-list": null,
  "keyframes-name-pattern": null,
  "media-feature-name-allowed-list": null,
  "media-feature-name-disallowed-list": null,
  "media-feature-name-unit-allowed-list": null,
  "media-feature-name-value-allowed-list": null,
  "media-query-no-invalid": null,
  "no-unknown-animations": null,
  "property-allowed-list": null,
  "property-disallowed-list": null,
  "rule-selector-property-disallowed-list": null,
  "selector-attribute-name-disallowed-list": null,
  "selector-attribute-operator-allowed-list": null,
  "selector-attribute-operator-disallowed-list": null,
  "selector-combinator-allowed-list": null,
  "selector-combinator-disallowed-list": null,
  "selector-disallowed-list": null,
  "selector-id-pattern": null,
  "selector-max-attribute": null,
  "selector-max-class": null,
  "selector-max-combinators": null,
  "selector-max-pseudo-class": null,
  "selector-max-specificity": null,
  "selector-max-type": null,
  "selector-max-universal": null,
  "selector-nested-pattern": null,
  "selector-pseudo-class-allowed-list": null,
  "selector-pseudo-class-disallowed-list": null,
  "selector-pseudo-element-allowed-list": null,
  "selector-pseudo-element-disallowed-list": null,
  "time-min-milliseconds": null,
  "unit-allowed-list": null,
  "unit-disallowed-list": null
};

// src/module/stylelint/rule/general_rule.ts
var generalRule = {
  "alpha-value-notation": "number",
  "annotation-no-unknown": true,
  "at-rule-disallowed-list": ["debug"],
  "at-rule-empty-line-before": [
    "always",
    {
      ignore: [
        "after-comment",
        "first-nested",
        "inside-block",
        "blockless-after-blockless"
      ]
    }
  ],
  "at-rule-no-unknown": true,
  "at-rule-no-vendor-prefix": true,
  "block-no-empty": true,
  "color-function-notation": "legacy",
  "color-hex-alpha": "never",
  "color-hex-length": "short",
  "color-named": "never",
  "color-no-invalid-hex": true,
  "comment-empty-line-before": "never",
  "comment-no-empty": true,
  "comment-whitespace-inside": "always",
  "custom-property-empty-line-before": "never",
  "custom-property-no-missing-var-function": true,
  "declaration-block-no-duplicate-custom-properties": true,
  "declaration-block-no-duplicate-properties": true,
  "declaration-block-no-redundant-longhand-properties": true,
  "declaration-block-no-shorthand-property-overrides": true,
  "declaration-block-single-line-max-declarations": 1,
  "declaration-empty-line-before": [
    "always",
    {
      except: ["after-declaration", "first-nested"],
      ignore: ["after-comment", "inside-single-line-block"]
    }
  ],
  "font-family-name-quotes": "always-unless-keyword",
  "font-family-no-duplicate-names": true,
  "font-weight-notation": ["numeric", { ignore: ["relative"] }],
  "function-calc-no-unspaced-operator": true,
  "function-linear-gradient-no-nonstandard-direction": true,
  "function-name-case": "lower",
  "function-no-unknown": true,
  "function-url-no-scheme-relative": true,
  "function-url-quotes": "always",
  "hue-degree-notation": "angle",
  "import-notation": "string",
  "keyframe-block-no-duplicate-selectors": true,
  "keyframe-declaration-no-important": true,
  "keyframe-selector-notation": "percentage",
  "length-zero-no-unit": true,
  "lightness-notation": "percentage",
  "max-nesting-depth": [
    1,
    {
      ignoreAtRules: [
        "pseudo-classes",
        "each",
        "media",
        "supports",
        "include"
      ]
    }
  ],
  "media-feature-name-no-unknown": true,
  "media-feature-name-no-vendor-prefix": true,
  "media-feature-name-value-no-unknown": true,
  "media-feature-range-notation": "prefix",
  "named-grid-areas-no-invalid": true,
  "no-descending-specificity": true,
  "no-duplicate-at-import-rules": true,
  "no-duplicate-selectors": true,
  "no-empty-source": true,
  "no-invalid-double-slash-comments": true,
  "no-invalid-position-at-import-rule": true,
  "no-irregular-whitespace": true,
  "no-unknown-custom-properties": true,
  "number-max-precision": 2,
  "property-no-unknown": true,
  "property-no-vendor-prefix": true,
  "rule-empty-line-before": [
    "always-multi-line",
    {
      except: ["first-nested"],
      ignore: ["after-comment"]
    }
  ],
  "selector-anb-no-unmatchable": true,
  "selector-attribute-quotes": "always",
  "selector-class-pattern": [
    String.raw`^[a-z0-9\-_/]+$`,
    {
      message: "Selector should be written in lowercase with hyphens (selector-class-pattern)"
    }
  ],
  "selector-max-compound-selectors": 3,
  "selector-max-id": 0,
  "selector-no-qualifying-type": [true, { ignore: ["attribute"] }],
  "selector-no-vendor-prefix": true,
  "selector-not-notation": "complex",
  "selector-pseudo-class-no-unknown": true,
  "selector-pseudo-element-colon-notation": "double",
  "selector-pseudo-element-no-unknown": true,
  "selector-type-case": "lower",
  "selector-type-no-unknown": true,
  "shorthand-property-no-redundant-values": true,
  "string-no-newline": true,
  "unit-no-unknown": true,
  "value-keyword-case": "lower",
  "value-no-vendor-prefix": true
};

// src/module/stylistic/rule/stylistic_disabled_rule.ts
var stylisticDisabledRule = {
  "@stylistic/at-rule-name-newline-after": null,
  "@stylistic/at-rule-name-space-after": null,
  "@stylistic/block-closing-brace-space-after": null,
  "@stylistic/block-closing-brace-space-before": null,
  "@stylistic/block-opening-brace-space-after": null,
  "@stylistic/block-opening-brace-space-before": null,
  "@stylistic/declaration-colon-newline-after": null,
  "@stylistic/named-grid-areas-alignment": null,
  "@stylistic/no-missing-end-of-source-newline": null,
  "@stylistic/selector-list-comma-space-after": null
};

// src/module/stylistic/rule/stylistic_general_rule.ts
var stylisticGeneralRule = {
  "@stylistic/at-rule-name-case": "lower",
  "@stylistic/at-rule-semicolon-newline-after": "always",
  "@stylistic/at-rule-semicolon-space-before": "never",
  "@stylistic/block-closing-brace-empty-line-before": "never",
  "@stylistic/block-closing-brace-newline-after": "always",
  "@stylistic/block-closing-brace-newline-before": "always",
  "@stylistic/block-opening-brace-newline-after": "always",
  "@stylistic/block-opening-brace-newline-before": "always",
  "@stylistic/color-hex-case": "lower",
  "@stylistic/declaration-bang-space-after": "never",
  "@stylistic/declaration-bang-space-before": "always",
  "@stylistic/declaration-block-semicolon-newline-after": "always-multi-line",
  "@stylistic/declaration-block-semicolon-newline-before": "never-multi-line",
  "@stylistic/declaration-block-semicolon-space-after": "always-single-line",
  "@stylistic/declaration-block-semicolon-space-before": "never",
  "@stylistic/declaration-block-trailing-semicolon": "always",
  "@stylistic/declaration-colon-space-after": "always",
  "@stylistic/declaration-colon-space-before": "never",
  "@stylistic/function-comma-newline-after": "always-multi-line",
  "@stylistic/function-comma-newline-before": "never-multi-line",
  "@stylistic/function-comma-space-after": "always",
  "@stylistic/function-comma-space-before": "never",
  "@stylistic/function-max-empty-lines": 0,
  "@stylistic/function-parentheses-newline-inside": "always-multi-line",
  "@stylistic/function-parentheses-space-inside": "never",
  "@stylistic/function-whitespace-after": "always",
  "@stylistic/indentation": 2,
  "@stylistic/linebreaks": "unix",
  "@stylistic/max-empty-lines": 1,
  "@stylistic/max-line-length": 120,
  "@stylistic/media-feature-colon-space-after": "always",
  "@stylistic/media-feature-colon-space-before": "never",
  "@stylistic/media-feature-name-case": "lower",
  "@stylistic/media-feature-parentheses-space-inside": "never",
  "@stylistic/media-feature-range-operator-space-after": "always",
  "@stylistic/media-feature-range-operator-space-before": "always",
  "@stylistic/no-empty-first-line": true,
  "@stylistic/no-eol-whitespace": true,
  "@stylistic/no-extra-semicolons": true,
  "@stylistic/number-leading-zero": "always",
  "@stylistic/number-no-trailing-zeros": true,
  "@stylistic/property-case": "lower",
  "@stylistic/selector-attribute-brackets-space-inside": "never",
  "@stylistic/selector-attribute-operator-space-after": "never",
  "@stylistic/selector-attribute-operator-space-before": "never",
  "@stylistic/selector-combinator-space-after": "always",
  "@stylistic/selector-combinator-space-before": "always",
  "@stylistic/selector-descendant-combinator-no-non-space": true,
  "@stylistic/selector-list-comma-newline-after": "always-multi-line",
  "@stylistic/selector-list-comma-newline-before": "never-multi-line",
  "@stylistic/selector-list-comma-space-before": "never",
  "@stylistic/selector-max-empty-lines": 0,
  "@stylistic/selector-pseudo-class-case": "lower",
  "@stylistic/selector-pseudo-class-parentheses-space-inside": "never",
  "@stylistic/selector-pseudo-element-case": "lower",
  "@stylistic/string-quotes": "single",
  "@stylistic/unicode-bom": "never",
  "@stylistic/unit-case": "lower",
  "@stylistic/value-list-comma-newline-after": "always-multi-line",
  "@stylistic/value-list-comma-newline-before": "never-multi-line",
  "@stylistic/value-list-comma-space-after": "always-single-line",
  "@stylistic/value-list-comma-space-before": "never",
  "@stylistic/value-list-max-empty-lines": 0
};

// src/module/stylistic/stylistic.ts
var stylistic = {
  plugins: ["@stylistic/stylelint-plugin"],
  rules: {
    ...stylisticGeneralRule,
    ...stylisticDisabledRule
  }
};

// src/index.ts
var base = {
  plugins: [...order.plugins, ...stylistic.plugins],
  rules: {
    ...disabledRule,
    ...generalRule,
    ...order.rules,
    ...stylistic.rules
  }
};
var src_default = base;
export {
  src_default as default
};
